package com.kingdee.eas.custom.erp;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.erp.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class SynPersonToErpFacade extends AbstractBizCtrl implements ISynPersonToErpFacade
{
    public SynPersonToErpFacade()
    {
        super();
        registerInterface(ISynPersonToErpFacade.class, this);
    }
    public SynPersonToErpFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISynPersonToErpFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("301BAEE8");
    }
    private SynPersonToErpFacadeController getController() throws BOSException
    {
        return (SynPersonToErpFacadeController)getBizController();
    }
    /**
     *同步人员信息到星瀚-User defined method
     *@param startDate 开始时间 (格式: yyyy-mm-dd hh:mm:ss)
     *@param endDate 结束时间 (格式: yyyy-mm-dd hh:mm:ss)
     */
    public void synPersonToErp(String startDate, String endDate) throws BOSException
    {
        try {
            getController().synPersonToErp(getContext(), startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}